> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order

> Update an order



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml put /products/orders
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /products/orders:
    put:
      tags:
        - ORDER CHECKOUT
      summary: Update Order
      description: Update an order
      operationId: UpdateOrder
      requestBody:
        content:
          application/json:
            schema:
              type: object
            examples:
              UpdateOrderRequest:
                $ref: '#/components/examples/UpdateOrderRequest'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateOrder201Response'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
              examples:
                401Response:
                  $ref: '#/components/examples/401Response'
        '403':
          description: Missing Header Token
          content:
            application/json:
              schema:
                type: object
              examples:
                CreateOrder403Response:
                  $ref: '#/components/examples/Order403Response'
                403Response:
                  $ref: '#/components/examples/403Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
                CreateOrder400Response1:
                  $ref: '#/components/examples/Order404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  examples:
    UpdateOrderRequest:
      summary: 3DSAuthorise Request payload
      value:
        paymentReference: 0w0eimkizc41602513327447
        publicKey: SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u
        orders:
          - amount: '800.00'
            productId: 1089162
            productDescription: FODD ITEM UPDATE
            currency: NGN
            orderId: wil0f47b62
          - amount: '400.00'
            productId: 3081869
            productDescription: SKIN CARE UPDATE TEST
            currency: NGN
            orderId: wil1cc231f
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    401Response:
      summary: An example of 401 response payload
      value:
        message: Invalid Authentication Token
        error: INPUT
    Order403Response:
      summary: An example of 403 response payload
      value:
        message: Header Token Missing
        error: PERMISSION
    403Response:
      summary: An example of 403 response payload
      value:
        message: Confirm Merchant Environment
        error: PERMISSION
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    Order404Response1:
      summary: An example of 404 response payload
      value:
        message: Transaction Not Found
        error: NOT_FOUND
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  schemas:
    UpdateOrder201Response:
      title: CreateOrderResponse
      type: object
      example:
        status: SUCCESS
        data:
          code: '00'
          message: Successful
          products:
            - amount: 800
              currency: NGN
              productId: 1089162
              productDescription: FODD ITEM UPDATE
              paymentReference: 0w0eimkizc41602513327447
              orderId: wil0f47b62
            - amount: 400
              currency: NGN
              productId: 3081869
              productDescription: SKIN CARE UPDATE TEST
              paymentReference: 0w0eimkizc41602513327447
              orderId: wil1cc231f
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.